module Config.Helpers.References exposing (..)

import Config.Style.Colour exposing (colourTheme)
import Config.Style.Transitions
    exposing
        ( hoverFontDarkOrange
        , transitionStyleFast
        )
import Element as E exposing (..)
import Element.Font as F
    exposing
        ( alignLeft
        , color
        , regular
        )


makeReference : References -> Int -> Element msg
makeReference references index =
    paragraph
        [ F.regular
        , F.alignLeft
        ]
        [ row []
            [ newTabLink
                [ F.bold
                , F.color colourTheme.textLightOrange
                , hoverFontDarkOrange
                , transitionStyleFast
                ]
                { url = references.link, label = text (String.fromInt index ++ ". ") }
            , text (references.author ++ ", ")
            , text (references.title ++ ", ")
            , text (references.journal ++ ", ")
            , text references.year
            ]
        ]


type alias References =
    { author : String
    , title : String
    , link : String
    , year : String
    , journal : String
    }
